- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# Framework information
[Functions]

## Detailed Description

These functions can be used to query runtime information about the linked in C-Pluff implementation.

They may be used by the main program or by a plug-in runtime.

## Functions
const char * | cp_get_version (void)
| Returns the release version string of the linked in C-Pluff implementation.
const char * | cp_get_host_type (void)
| Returns the canonical host type associated with the linked in C-Pluff implementation.

## Function Documentation

const char* cp_get_version | ( | void |  | ) |

Returns the release version string of the linked in C-Pluff implementation.

Returns:
  the C-Pluff release version string

const char* cp_get_host_type | ( | void |  | ) |

Returns the canonical host type associated with the linked in C-Pluff implementation.

A multi-platform installation manager could use this information to determine what plug-in versions to install.

Returns:
  the canonical host type

Generated on Fri Apr 6 15:40:55 2007 for C-Pluff C API by 1.5.1